Open a jail console WebSocket
GET
/jail/{ctid}/console
const url = 'https://sylve.lan:8181/api/jail/1/console?auth=example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sylve.lan:8181/api/jail/1/console?auth=example' \ --header 'Authorization: <Authorization>'Validate that the jail console is available and upgrade to an authenticated interactive WebSocket session
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ctid
required
integer
Jail CTID
Query Parameters
Section titled “Query Parameters”auth
required
string
Hex-encoded WebSocket authentication payload
Responses
Section titled “Responses”Switching Protocols
string
Bad Request
object
data
error
string
message
string
status
string
Unauthorized
object
data
error
string
message
string
status
string
Forbidden
object
data
error
string
message
string
status
string
Jail Not Found
object
data
error
string
message
string
status
string
Conflict
object
data
error
string
message
string
status
string
Internal Server Error
object
data
error
string
message
string
status
string
Service Unavailable
object
data
error
string
message
string
status
string